POST api/NTSetting/PostCOSService
Request Information
URI Parameters
None.
Body Parameters
COSServiceDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Name | string |
String length: inclusive between 0 and 50 |
|
| Sequence | integer |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| ColorCode | string |
String length: inclusive between 0 and 20 |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"Name": "sample string 2",
"Sequence": 1,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:50.4176673-07:00",
"DateUpdated": "2026-08-04T14:25:50.4176673-07:00",
"UserIDCreated": 6,
"UserIDUpdated": 7,
"ColorCode": "sample string 8"
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfCOSServiceDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | COSServiceDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"Name": "sample string 2",
"Sequence": 1,
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:50.4176673-07:00",
"DateUpdated": "2026-08-04T14:25:50.4176673-07:00",
"UserIDCreated": 6,
"UserIDUpdated": 7,
"ColorCode": "sample string 8"
},
"totalCount": 3
}